com.avaya.ccs.api.enums

## Enum WebChatMethod

- java.lang.Object
- - java.lang.Enum<WebChatMethod>
  - - com.avaya.ccs.api.enums.WebChatMethod

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WebChatMethod>

      public enum WebChatMethod
      extends java.lang.Enum<WebChatMethod>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `activeAgentNotification`
    `agentJoinRoom`
    `completeConference`
    `customerConnectionStatus`
    `customerDisconnect`
    `exitRoom`
    `isTyping`
    `newMessage`
    `pagePush`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebChatMethod` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WebChatMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### newMessage

          public static final WebChatMethod newMessage

    - #### isTyping

          public static final WebChatMethod isTyping

    - #### agentJoinRoom

          public static final WebChatMethod agentJoinRoom

    - #### customerDisconnect

          public static final WebChatMethod customerDisconnect

    - #### activeAgentNotification

          public static final WebChatMethod activeAgentNotification

    - #### pagePush

          public static final WebChatMethod pagePush

    - #### customerConnectionStatus

          public static final WebChatMethod customerConnectionStatus

    - #### exitRoom

          public static final WebChatMethod exitRoom

    - #### completeConference

          public static final WebChatMethod completeConference

  - ### Method Detail

    - #### values

          public static WebChatMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebChatMethod c : WebChatMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebChatMethod valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null